GCLOUD_CONFIG_CONFIGURATIONS_LIST(1)

NAME

gcloud config configurations list - lists existing named configurations

SYNOPSIS

gcloud config configurations list [--filter EXPRESSION] [--limit LIMIT] [--sort-by FIELDS] [GLOBAL-FLAG ...]

DESCRIPTION
Lists existing named configurations. Run $ gcloud topic configurations for an overview of named configurations.

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--sort-by FIELDS
    A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all available configurations, run:
    $ gcloud config configurations list